aboutsummaryrefslogtreecommitdiffhomepage
path: root/test/distrib
diff options
context:
space:
mode:
authorGravatar Jan Tattermusch <jtattermusch@google.com>2018-03-29 14:07:20 +0200
committerGravatar Jan Tattermusch <jtattermusch@google.com>2018-03-29 14:12:10 +0200
commit4a510960c68aafcb0ea448593cbf2a53de76fbc5 (patch)
tree459f219969d64734e8ee827943f14e32fdab400b /test/distrib
parent1951a7e61bec2a1ca0cc61e5e8f72a2c274fdb00 (diff)
add distribtest for grpc being added with cmake add_subdirectory
Diffstat (limited to 'test/distrib')
-rwxr-xr-xtest/distrib/cpp/run_distrib_test_cmake_as_submodule.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/test/distrib/cpp/run_distrib_test_cmake_as_submodule.sh b/test/distrib/cpp/run_distrib_test_cmake_as_submodule.sh
new file mode 100755
index 0000000000..defc63e090
--- /dev/null
+++ b/test/distrib/cpp/run_distrib_test_cmake_as_submodule.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+# Copyright 2017 gRPC authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -ex
+
+cd "$(dirname "$0")/../../.."
+
+# Build helloworld example using cmake, including grpc with "add_subdirectory"
+cd examples/cpp/helloworld
+mkdir -p cmake/build
+cd cmake/build
+cmake -DGRPC_AS_SUBMODULE=ON ../..
+make